org.apache.http.message

## Class BasicStatusLine

- java.lang.Object
- - org.apache.http.message.BasicStatusLine

- All Implemented Interfaces:
    Serializable, Cloneable, StatusLine

      @Immutable
      public class BasicStatusLine
      extends Object
      implements StatusLine, Cloneable, Serializable

  Basic implementation of `StatusLine`
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicStatusLine(ProtocolVersion version, int statusCode, String reasonPhrase)` Creates a new status line with the given version, status, and reason.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `ProtocolVersion` | `getProtocolVersion()`
    `String` | `getReasonPhrase()`
    `int` | `getStatusCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicStatusLine

          public BasicStatusLine(ProtocolVersion version,
                         int statusCode,
                         String reasonPhrase)

      Creates a new status line with the given version, status, and reason.
      Parameters:
        `version` - the protocol version of the response
        `statusCode` - the status code of the response
        `reasonPhrase` - the reason phrase to the status code, or `null`

  - ### Method Detail

    - #### getStatusCode

          public int getStatusCode()

      Specified by:
        `getStatusCode` in interface `StatusLine`

    - #### getProtocolVersion

          public ProtocolVersion getProtocolVersion()

      Specified by:
        `getProtocolVersion` in interface `StatusLine`

    - #### getReasonPhrase

          public String getReasonPhrase()

      Specified by:
        `getReasonPhrase` in interface `StatusLine`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.